MWSnap

MWSnap v. 3.0

MWSnap is a small yet powerful Windows program for snapping (capturing) images from selected parts of the screen. Current version is capable of capturing the whole desktop, a highlighted window, an active menu, or a fixed or free rectangular part of the screen. MWSnap handles 5 most popular graphics formats and contains important graphical tools: a zoom, a ruler, a color picker and a window spy.

MWSnap is free for both commercial and non-commercial use. You are free to put the programs on a CD-ROM, but if you do so please send me a notification (and a copy of the CD, if possible.) And of course spread the program complete with all files. Donations are gladly accepted.

MWSnap has been developed using Borland Delphi.

Selected features

  • 5 snapping modes.
  • Support for BMP, JPG, TIFF, PNG and GIF formats, with selected color depth and quality settings.
  • System-wide hotkeys.
  • Clipboard copy and paste.
  • Printing.
  • Auto-saving, auto-printing.
  • Auto-start with Windows.
  • Minimizing to system tray.
  • An auto-extending list of fixed sizes, perfect for snapping images for icons and glyphs.
  • A zoom tool for magnifying selected parts of the screen.
  • A ruler tool for measuring screen objects lengths.
  • A color picker showing screen colors with separated RGB parts.
  • Fast picture viewer.
  • Adding frames and mouse pointer images.
  • Multilevel configurable undo and redo.
  • Multilingual versions.
  • Configurable user interface.
  • And more...


System requirements

Hardware requirements

MWSnap has minimal hardware requirements, It should work successfully on any hardware capable of running any 32-bit version of Windows.

Software requirements

MWSnap needs for running any version of 32-bit Windows. The program is self-contained, i.e., it does not need or depend to any system libraries, installed updates, patches etc.

I'd be thankful for reporting specifications of a system where MWSnap did not work correctly.

Home


Frequently Asked Questions

  • 1. How does one capture menus?
  • 2. I don't like the preview box when capturing. Can I hide it?
  • 3. Can I run MWSnap from a command line, for example to capture the desktop at a specified time?
  • 4. I defined unique hot keys for different snapping modes, but they seem not to work!

1. How does one capture menus?

Menu capturing can be performed using the "Any window" mode. Open the desired menu and activate windows snapping pressing the "Any window" keyboard shortcut (usually <Ctrl+Shift+W>). Now simply move the cursor over the menu which should be recognized automatically.
Note!
If you redefine the hotkey activating "any window" capturing mode, be sure not to use <Alt> key as it causes menus to be closed.
(top)

2. I don't like the preview box when capturing. Can I hide it?

Starting with version 2.0 dynamic preview box can be activated and deactivated using the <F6> hot key. It's also possible to switch it off permanently in Settings/Snapping.
(top)

3. Can I run MWSnap from a command line, for example to capture the desktop at a specified time?

No, not yet. This feature is already being tested and should be available in future versions.
(top)

4. I defined unique hot keys in MWSnap, but they seem not to work!

Did you START MWSnap? For hot keys to be active, MWSnap must be started. It can stay minimized or iconized, but must be running!
(top)


What's new

What's new in MWSnap

3.00.0.71 Beta RC1, 28 Jun 2002

  • A new color picker tool.
  • More sound effects: confirmations, clipboard actions
  • Preview panel can be hatched to improve the image visibility.
  • A new configuration option - restore MWSnap after snapping.
  • A new configuration option - always show program icon in tray.
  • All dialog boxes save and restore their last screen positions.
  • Updated program documentation.
  • An error with the preview window appearing on the captured images removed.
  • Repaired errors with minimizing and restoring.
  • Repaired bug with repeating the last capture.
  • Minor bugs removed.
  • The option "Start minimized" has been temporarily removed!

3.00.0.65 Beta, 18 Jun 2002

  • An option for automatic checking if a new version of the program is available.
  • A new version of the ruler tool, featuring higher accuracy, dynamic readings, and a bi-directional scale.
  • Accept files dropped on the program window.
  • Many minor bugs and translation problems removed.
  • Adding mouse cursor pointers to snapped images.
  • Adding configurable frames to snapped images.
  • Multilevel configurable undo and redo.
  • Improved capturing engine.
  • Color picker - F4 key opens a dialog box with color details and several popular color notations (RGB, HTML, Delphi, and System).
  • A new Window info tool, showing dynamically details of a window below the cursor.
  • Ruler, Zoom and Window info tools are available in the local menu of the program's icon in the system tray.
  • Ruler, Zoom and Window info tools can be invoked using system-wide hotkeys.
  • Repaired bug in saving transparent GIFs.
  • The ruler tool no longer causes MWSnap window to minimize.
  • Dialog windows restore their last positions on the screen.
  • Reorganized menus and toolbars.
  • Minor bugs removed.

2.60.0.56 Beta, 22 May 2002

  • Auto-printing (shortcut: <Ctrl+Alt+P>).
  • Opening picture files, with support for gif, png, jpg, bmp, ico, emf and wmf formats.
  • Picture Viewer panel, with options for opening, starting, renaming and deleting pictures.
  • Pasting images from the clipboard.
  • New Zoom in/out tools.
  • Zoom step menu.
  • Numeric pad '+' and '-' keys perform zooming in/out.
  • Ruler tool - right-clicking the ruler pops up a local menu.
  • Auto-saving shortcut remapped to <Ctrl+Alt+S>.
  • Removed the obsolete 'stretch preview' option.
  • Repaired bug with repeating of the last capture.
  • Other minor bugs removed.

2.50.0.50 Beta, 04 Apr 2002

  • Support for PNG images format.
  • Improved color reduction algorithms in saved .bmp and .gif images.
  • Repaired bug that could cause the marking rectangle to go into the snapped image.
  • Support for multiple versions of the same language.
  • Many minor improvements.

2.20.0.48 Beta, 27 Mar 2002

  • Possibility to translate the user interface to any number of languages.
  • Window snapping - possibility to capture child windows.
  • Configurable sounds.
  • Configurable displaying of the snap preview window.
  • Printing - possibility to specify the count of copies.
  • Windows XP Themes Manager compatibility.
  • Enhanced visibility of the selection window.
  • Improved error handling.
  • Repaired bug causing settings not to be saved.
  • Repaired bug with rotating snapped images.
  • Corrected snapping of maximized windows.

v.2.00.0.40, 27 Nov 2001

  • A bug removed causing MWSnap in some cases to crash at startup.

v.2.00.0.39, 18 Nov 2001

  • Auto-saving after making a snap.
  • Printing with optional scaling.
  • Basic transformations: flipping and rotating.
  • Show/hide preview window (F6 while making a capture).
  • Preview box, zoom tool - an additional marker showing an exact cursor location.
  • Minimize to system tray.
  • Auto start with Windows.
  • Start in minimized mode.
  • Program documentation.
  • Ruler with scale markings on both sides.
  • Application title bar shows the name of the last saved image.
  • Other minor improvements.

v. 1.10, 01 Oct 2001

  • First public version.

v. 1.00, 12 Feb 2000

  • Initial version, for internal use only.


Adding new language versions

The program offers support for custom language modules. To add your own module, please follow these simple steps.

In the folder where the program is installed, open the \Lang folder and make a copy of the "English.ini" file, and name it according to the language you want to add. (for example "German.ini" or even better "Deutsch.ini" for a German module). Please don't change the file extension, it must remain .ini.

Now open the file with a text editor like system Notepad, and translate the strings to the new language. Each string is represented in the form

name=contents

Please translate only the contents (the part after the "=" sign.) The name serves as a string identifier and must remain unchanged.

Here is a small example:

frmMain.optRecordCopy.Caption=Duplicate record
frmMain.optCatRename.Caption=Rename category
rsDeleteRec=Delete current record?

The strings like "frmMain.optRecordCopy.Caption" are identifiers. Please translate only texts "Duplicate record", "Rename category", "Delete current record?" in this case.

Make sure you don't exceed the length of the particular strings too much, if they appear within dialog boxes. All dialogs are designed with translation in mind so there is usually some extra space for longer translations, but be sure to check if your texts are not trimmed.

Special characters

In some texts several special characters can appear.

%s, %d

These are placeholders and will be expanded to values when the program runs. %s is a placeholder for a text and %d is a placeholder for a numerical value. Please leave placeholders in your translated version, just place them at the proper position.

Examples:
"Text [%s] was not found" will be expanded at runtime for example to "Text [e-mail] was not found"
"Count of records: %d" will be expanded at runtime for example to "Count of records: 243"

&

Hot key symbol. If the text being translated is a button's caption or a menu item, one of characters can be preceded with the hot key symbol. It will then automatically get underlined and will be selectable using the standard Windows <Alt-character> combination.

Example:
"&Cancel" will appear as "Cancel", <Alt-C> will activate this button automatically.

*|*

This symbol stands for a line break (carriage return). It is used in long strings, for example in messages and warnings.

Example:
rsFileXNotFound=File*|*[%s]*|*has not been found!

Country flags

After saving the file, you can supply a small 32 x 20 bitmap that represents your country. It will be displayed in the language selection window. In order to have the program combine the bitmap with the .ini file, it must have exactly the same filename (just with a .bmp extension).

For example :
Dutch.ini (language module)
Dutch.bmp (optional country flag)

I have a large collection of flags pictures, so ask me before drawing a new one.

About the Translator

Three first lines of the message module allow adding the translator details and show up in the running program when selecting the language module. You can put there whatever you want, including your name, URL, etc.

Example:
Info1=English translation
Info2=By Mirek Wójtowicz
Info3=http://www.mirekw.com

To install and test the new language module, just copy both .ini and .bmp files into the \Lang subfolder, and choose the new language using the Tools/Language option.

Please send your language modules to translations@mirekw.com if you want to have them included in new releases of the program. Please notice that we cannot publish multiple versions for a language, as long as the new version is not an improvement to the existing version.

Thank you for your contribution!


Contacting the author

Copyright © 2000, 2002 Mirek Wójtowicz, Lublin, Poland
e-mail: info@mirekw.com, mirwoj@life.pl
WWW: http://www.mirekw.com
Mirror: http://www.mirwoj.opus.chelm.pl

I appreciate and welcome any comments, enhancement requests, improvement suggestions and bug reports that you may have. I'll be also thankful for language corrections. Please consider also making a donation.

If you want to test new versions of my programs, just drop me an e-mail with text "I'd like to beta-test your name_here program" in the subject line.


Donate

Supporting the author

MWSnap is given away at no cost. The author, Mirek Wojtowicz, hopes that it is useful to you, and if so, he'd like to hear from you. A nice postcard or email is a great way to show that you like it.

If you'd like to support more software or new features in the program, you can make a donation of any amount you choose via PayPal. The PayPal system is a full-fledged secure online banking service. With PayPal, anyone can send money to anyone over the Internet. Any donations made through this PayPal button below are instantly deposited to my software fund, using PayPal's secure transaction technology. Donated money are only used to support advertising-free web hosting, domain registration fees, and to purchase software and hardware necessary to continue improving my free software.

Click here to go to my donation page

If you prefer to send an email, you can reach me at info@mirekw.com. If you prefer to send a postcard, letter or regular bank note donation, please use the following address. Include information about which software product you enjoy!

Mirek Wojtowicz
Ulanow 17/38
20-554 Lublin
Poland

Please note that any monetary gifts you donate to my software fund are not tax deductible.

Another great way to support this software is to get the word out! Let your friends know that you like this software, and that they should try it too.

[Home]


Program window

MWSnap's user interface consists of the following main components:

  • Menu
  • System toolbar
  • Capture panel
  • Picture viewer
  • Preview panel with editing toolbar
  • Status bar


Menus

Menu bar is shown at the top of the application window. It offers access to most program commands and settings. Note that many menu items contain keyboard shortcuts, displayed to the right of the command description, and pictures showing which toolbar buttons perform identical actions.

The menu is organized in the following 6 submenus:

  • "File" menu
  • "Edit" menu
  • "Capture" menu
  • "View" menu
  • "Tools" menu
  • "Help" menu


System toolbar

The toolbar, displayed directly below the menu bar, offers quick access to most often used program options.

"Open" command
"Save as" command.
"Print" command.
"Capture fixed-size rectangle" command.
"Capture area" command.
"Capture window" command.
"Capture full desktop" command.
"Repeat last capture" command.
"Ruler tool" command.
"Zoom tool" command.
"Window info tool" command
"Define system-wide hotkeys" command.
"Program settings" command.
"Auto-saving on/off" command.
"Auto-printing on/off" command
"Exit" command


Status bar

Status bar is displayed at the very bottom of the application's window. It's separated into three panels:

  • info panel,
  • zoom level panel,
  • image size panel.

Info panel shows various information during working with the program. It shows more detailed descriptions of focused user interface elements like buttons, and is used for displaying information about the program state and its last actions, like auto-saving.

Zoom level panel shows the current zoom level as a percent of the magnification. 100% means no zooming. Minimal zoom is 10%, maximal 2000%.

Image size panel displays the size of the currently captured image. Note that if the size does not appear on the fixed sizes list, the "Add fixed size" command is active.


Preview panel

The preview panel occupies the central part of the program's window. It shows the currently captured or opened image, and allows to perform several basic operations on it. The illustration above shows the preview panel with the hatched background. The color and style of the background can be specified in Settings/Appearance.

"Zoom in" command
"Reset zoom" command
"Zoom out" command
"Copy to clipboard" command
"Add fixed size" command
"Undo" command
"Redo" command
"Transform the image" commands family
"Add a frame" commands family
"Add a cursor" commands family


Capture panel

The capture panel is shown in the left part of the application's window. Capture panel duplicates access to main program capturing functions making it in several cases easier.

Top 5 buttons allow selecting one of available capturing modes. The active mode is shown depressed. Below the buttons a capturing info area appears.

In case of "Fixed rectangle" capturing info area allows comfortable selection of the area size. Text fields and spin buttons allow also for adding new known sizes to the list.

In case of all other capturing modes info area displays additional information on how the capture is being performed.

To perform the activated capturing mode, press the "Snap" button at the bottom of the panel.

Note that the capture panel appearance is optional and can be hidden using the "View capture panel" command.


Picture viewer

MWSnap contains a built-in fast picture viewer, integrated with the capture panel.

The illustration to the left shows the picture viewer in action. The picture viewer consists of 4 separate sections: the drives list, the folders tree, the picture type mask (In the example all supported picture types are allowed) and the list of pictures found in the selected folder.

In order to view a picture select the disk, navigate to the proper folder and click the picture name on the bottom list. The picture will be opened and shown in the MWSnap preview panel. Such opened image behaves like a regular snapped image - it can be now saved in another format or transformed using any of the program editing options.

Right-clicking a picture name on the list opens a local menu with the following options:

Open picture

Identical to left-clicking the file - just opens and displays the picture.

Start picture

Invokes an application associated in the system with this file type and passes this picture file as a parameter.

Rename file

Allows to assign another name to the selected picture file.

Delete file

Allows to delete the picture file from the disk.


Menu "File"

Open

Use this command to display a standard Windows dialog which allows you to open an existing image file of any supported format. Such opened image can be next saved in a selected format or transformed using any of the program editing options.

Note that image files can be also opened by simply dragging them from any file explorer and dropping onto the program's window, or by using the integrated picture viewer.

Save as...

Use this command to save the current captured image in any location, using any file name and picture format. The program remembers last used saving location and suggests it automatically. The command is not active if no image has been captured yet.
Note that captured images can be also auto-saved.

Print...

Use this command to print the current captured image to the default Windows printer. After selecting the command a dialog window appears where the user can select printing parameters and define optional headers and footers.

Exit

Use this command to terminate the application.


Menu "Edit"

Copy

Use this command to put the current captured image on the Windows clipboard for later pasting into any other application. The command is not active if no image has been captured yet.

Paste

Use this command to paste the bitmap from the clipboard into MWSnap. Such pasted image can be next saved in a selected format or transformed using any of the program editing options.

Undo

Use this command to undo the most recent change to the current image. Undo is grayed out when not available. Use Settings/General to define the max. count of undo steps.

Redo

Use this command to undo the most recent Undo action. Redo is grayed out when not available.

Transform

Use options from this submenu to apply selected transformations to the snapped/loaded image.

Edit/Flip horizontally

Use this command to flip (mirror) horizontally the current captured image. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Flip vertically

Use this command to flip (mirror) vertically the current captured image. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Rotate left

Use this command to rotate the current captured image by 90 degrees counterclockwise. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Rotate right

Use this command to rotate the current captured image by 90 degrees clockwise. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Add frame

Use options from this submenu to add a selected type of a frame to the snapped/loaded image. Note that it's possible to add more than one frame of any type to the same image to achieve special effects.

Simple frame

Adds a solid color frame of a selected width.

Shaded frame

Adds a shaded frame to an image. One can define the width, start and end color of the frame.

Buttonize

Adds a frame imitating the 3-D effect. One can define the width, left top color and the right bottom color of the frame.

Add cursor

Use options from this submenu to add a selected type of a mouse cursor image the snapped/loaded image. Select the required cursor shape and show in the image the point where the cursor image should be inserted.


Menu "Capture"

Fixed-size rectangle

Use this command to activate fixed size rectangular areas snapping. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system a rectangular frame appears on the screen. In order to capture a part of the screen the frame should be dragged to the proper location. After clicking using the left mouse button or pressing <Enter> key the image within the frame will be captured and displayed in the preview panel.

While dragging the frame the area near the cursor is additionally magnified within the zoom box for higher accuracy. Cursor keys allow pixel-wise cursor pointer movement. <F6> key allows hiding/showing the zoom box.

Area

Use this command to activate any size rectangular areas snapping. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the user is asked to define the first, and next the second vertex of the area. After defining the second vertex, the image within the frame will be captured and displayed in the preview panel.

While defining the area the image near the cursor is additionally magnified within the zoom box for higher accuracy. Cursor keys allow pixel-wise cursor pointer movement. <F6> key allows hiding/showing the zoom box. While defining the second vertex, <Space> key allows toggling activity of the first/second vertex for eventual area adjustment.

Window

Use this command to automatically capture contents of applications' windows, or their menus or controls. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the user is asked to show which window he wants to capture. When the cursor is placed within a recognizable windows, its borders get highlighted. After selecting the window, its image will be captured and displayed in the preview panel.

Note that this capturing mode can be used for capturing applications' menus. In order for the menus not to disappear, the command must be invoked using its keyboard shortcut (usually <Ctrl+Shift+W>). If you redefine the hotkey activating the window capturing mode, be sure not to use <Alt> key as it causes menus to be closed.

Full desktop

Use this command to automatically capture contents of the whole desktop. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the image will be captured automatically and displayed in the preview panel.

Repeat last capture

Use this command to repeat last capturing using the same coordinates. The command is especially useful when making a series of captures of the same part of the screen that can change.

Add fixed size

Use this command to add the size of the current captured image to the list of sizes used by the fixed-size rectangle capturing command. The command is active only when the size of the captured image does not appear on the fixed sizes list.


Menu "View"

Zoom in

Use this command to zoom in (magnify) the view of the image. The current zoom level is displayed on the status bar. Keyboard shortcut: <+>.

Zoom reset

Use this command to reset zoom - set 100%.

Zoom out

Use this command to zoom out the view of the image. The current zoom level is displayed on the status bar. Keyboard shortcut: <->.

Picture toolbar

Use this command to show/hide the picture toolbar shown below the preview panel.

Capture panel

Use this command to show/hide the preview panel.

Status bar

Use this command to show/hide the status bar.

Show all

Use this command to show all user interface elements.

Show none

Use this command to show all user interface elements.


Menu "Tools"

Ruler tool

Use this command to activate the ruler tool. The ruler tool can be used for measuring (in pixels) sizes of screen elements.

Zoom tool

Use this command to activate the zoom tool. The zoom tool can be used for magnifying selected parts of the screen.

Color picker tool

Use this command to activate the color picker tool. The color picker tool can be used for reading the color information of selected pixels on the screen.

Window info tool

Use this command to activate the window info tool. The window info tool can be used to read various parameters of opened windows or their controls.

Hotkeys

Use this command to activate/deactivate and redefine MWSnap's system-wide hotkeys. System-wide hotkeys are active even if MWSnap's window has no focus, or is minimized.

Auto-saving

Use this command to activate/deactivate automatic saving of all captured images. Use the "Settings" command to define saving parameters. Current state of auto-saving is displayed in the tool tip of the "Auto-saving" button of the toolbar.

Auto-printing

Use this command to activate/deactivate automatic printing of all captured images. Images will be printed using last parameters specified manually. Current state of auto-saving is displayed in the tool tip of the "Auto-printing" button of the toolbar.

Language

Use this command to select one of available language translations of the program. The selected language will be instantly activated and used in future sessions with the program.

Settings

Use this command to open a dialog box allowing configuring MWSnap.


Menu "Help"

Help

Use this command to read this help.

Check for a new version

Use this command to open a dialog allowing checking if a new version of the program is available.

MWSnap on the Internet

Use this command to open a Web Page containing the latest information about MWSnap.

Donate

Use this command to go to the Internet site where you can make donations allowing the author to produce next versions of this software.

About...

Use this command to get information about the program version, contributing partners, and to contact the program's author.


Performing snaps

The main function of MWSnap is performing screen captures that can be next saved, auto-saved, printed, or put on the clipboard. Current version of MWSnap offers the following capturing modes:

  • fixed-size rectangle,
  • any area,
  • a window, a menu or a control,
  • full desktop,
  • repeat last capture.

Capturing can be invoked using the program's menu, the toolbar, the capture panel, or system-wide hot keys.


Printing

The printing dialog allows to specify several parameters for printing the current captured image.

Position

Select the proper option to define the location of the image on the sheet of paper.

Size

The controls allow selecting one of three available scaling modes.

"Original" - no scaling is performed, the image will be printed "as is".

"Scale" - enter the scaling factor to be applied to the image before printing. Values greater than 1 will magnify the printout. Values in range <0..1> will reduce it.

"Fit to page" - the image will be magnified/scaled down so that it it occupies maximum space on the printable area of the paper. Note that the image will keep its proportion.

"Smooth scaling" - check this option if you want the image to be scaled using one of available rendering methods what usually produces smoother printouts.

Page orientation

Check the desired paper orientation.

Header, footer

Check the checkboxes to enable printing a header and/or a footer on the paper. Long text fields allow to define the contents of the header and of the footer. The following templates can be used in the definition:

%d - print date (short)
%D - print date (long)
%t - print time (short)
%T - print time (long)
%x - picture width (in pixels)
%y - picture height (in pixels)
%n - file name
%p - file path

Any other text will appear as entered.


Ruler tool

The ruler tool is a comfortable tool for quick measuring of sizes of screen objects (in pixels.) After invoking the command a ruler similar to the one shown below appears:

The ruler can be freely dragged over the screen using the mouse simply by dragging any of its points. To resize the ruler by 5 pixels use the arrows keys (with <Shift> to resize precisely, and with <Ctrl> to resize by 50 pixels). To quickly resize the ruler drag the widget in the bottom-right corner. To close the ruler tool and to return back to the program press <Esc> or select "Close" from the local menu. Note that the number to the right of the "hole" shows the precise distance of the mouse cursor position to the "0" on the scale.

The ruler's "hole" contains a hidden functionality. When clicked, it pops up a local menu containing the following options:

Horizontal ruler

Enables the horizontal ruler (default). Shortcut: <Ctrl+H>.

Vertical ruler

Enables the vertical ruler. Shortcut: <Ctrl+V>.

Toggle the ruler direction

Changes the direction of the scale on the ruler from left-to-right to right-to-left. The arrows next to the ruler "hole" show the current direction. It's also possible to click the arrows to quickly change the direction. Shortcut: <Ctrl+D>.

Help

Shows this help page.

Close

Closes the ruler tool. Shortcuts: <Ctrl+F4> or <Esc>.


Zoom tool

The zoom tool acts as a loupe magnifying portions of the screen. Additionally it can be used for reading the color information of selected pixels.

After invoking the command a zoom window similar to the one shown to the left appears. It shows the pixels surrounding the current cursor position, magnified by the specified factor. When the cursor is moved over the screen, the zoom window dynamically shows the new contents.

The first text line below the zoom window displays current cursor coordinates (x,y) and the zoom factor. To change the zoom factor simply press the <+> or <-> keys. Use the keys from the numeric pad for maximal comfort.

The second line displays a small panel filled with the color identical to the one found at the cursor position. To the right of the panel the color Red, Green, and Blue components are shown (in Hex.)

To place the zoom window at another position simply drag its title bar to another location.

To change the size of the zoom window use the cursor keys together with the <Ctrl> key. For example pressing <Ctrl+Right arrow> combination will make the window wider.


Color picker tool

The color picker tool makes it possible to read the color information of selected pixels on the screen and to convert it to a format that can be used in graphics applications, in programming or when designing Web Pages.

The picture to the left shows the color picker tool in action. The left top area of the color picker window shows a zoomed portion of the screen around the current cursor position. The exact location of the cursor is marked with a cross in the zoomed preview (if the location isn't marked, you may want to enable it in Settings/Snapping.)The cursor can be freely moved over the frozen screen what will dynamically update the color picker window readings. The cursor can be also moved precisely using the cursor keys.

The zoom level can be changed using the <+> or <-> keys. Use the keys from the numeric pad for maximal comfort.

The RGB value of the center pixel is shown in the bottom part of the color picker window. It's possible to see this value in other systems pressing the <Space> key. In a new dialog box that will appear the color is shown as RGB, in HTML and Delphi syntax and using the system name (if it exists.)

The colorful boxes on the right edge of the color picker window are color memory slots. Each clicked color is put to the top-most memory slot, all existing colors get shifted down. One can click on memory slots to recall their colors.

To place the Color picker window at another position simply drag its title bar to another location.


Window info tool

Window info tool makes it possible to read several parameters of opened windows or their controls. After starting the command the user can move the cursor over the screen. The top-most window containing the cursor gets highlighted, and its parameters are displayed within the window info dialog box.

To place the Window info box at another position simply drag its title bar to another location.

Left, top

The coordinates (in pixels) of the left top window corner.

Size (dx, dy)

Size (in pixels) of the window.

Window text

Many windows contain a text, sometimes shown on the screen (for example as a window caption), sometimes invisible. If a window contains a text, it will be shown here.

Class name

Information useful for programmers and curious persons only. The name of the class used for the window creation.

Window handle

Information useful for programmers and curious persons only. The unique number assigned to the window.


Settings dialog box

Use this dialog to configure various aspects of using the program.

Program settings are organized in 6 major tabs:

  • General settings
  • Snapping settings
  • Auto-saving settings
  • Fixed sizes settings
  • Appearance settings
  • Sounds settings


General settings

Warn at start about conflicting hotkeys

Check this option if you want to be notified about conflicting system-wide hotkeys. In case of hotkeys conflicts go to the Hotkeys configuration dialog and select unique hotkeys for items marked in red.

Auto-start with Windows

Check this option if you want MWSnap to start automatically with Windows to be always available. When enabling this option, consider checking also the "Start minimized" option.

Minimize to tray

Check this option if you want minimized MWSnap to appear as a tiny icon in the system tray (where the clock is displayed) instead of a standard big button in the task bar.

Note that left-clicking MWSnap's icon in the system tray restores the program window. Right-clicking it opens a popup menu with all most often used commands.

Always show icon in tray

Check this option if you want the program to show an icon in the system tray even when the application is not minimized. It's recommended to have this option activated because the tray icon offers a quick access to the capturing menu (invoked with right-clicking the icon.)

Confirm files overwriting

Check this option if you want the program to warn you if a file with the same name you are trying to use for saving already exists.

Undo stack size

Use this field to specify the number of image states MWSnap should retain for undoing. Set the number to 0 to disable Undo.
Warning!
For large images each Undo step can consume even 1-2 MB of RAM.


Snapping settings

Delay before snapping [ms]

Use this field to define the delay (in ms) MWSnap will wait with capturing. The delay is necessary for MWSnap to hide it's window and to refresh the display. As a rule slower computers need higher values. For 300-500MHz machines the delay of 600 ms is usually sufficient.

Hide MWSnap before snapping

Check this option if you want MWSnap's window to hide itself before capturing is performed. Uncheck the option if you want MWSnap to capture its own image :)

Restore MWSnap after snapping

Check this option if you want MWSnap to restore from the minimized state after performing snapping. Note that if MWSnap is not minimized when sapping is called, it will be always restored regardless of this setting.

Show snap preview window (F6 toggles)

Check this option if you want to see the zoomed preview of the screen area around the cursor while capturing areas. The preview window makes it easier to capture the selected area with the pixel accuracy.

Mark cursor position in snap preview

Check this option is you want to see precisely the cursor position when capturing rectangular areas. The cursor position marking makes it easier to perform precise captures, but in some cases it can be obtrusive.

Auto copy snapped image to the clipboard

Check this option if you want every captured image to be automatically put on Windows clipboard. This setting is especially useful when you insert captured images directly to the word processor or an HTML editor.

Auto print snapped image

Check this option when you want to automatically print all snapped images. Images will be printed using last manually specified parameters.


Auto-saving settings

Auto-saving is active

Check this option to enable the auto-saving feature of MWSnap. When the option in enabled, every captured image will be automatically saved to the specified location in the configured format, with the configured file name.

Format

Use the list to select the format for auto-saved images. Note that you can select the format only. Image parameters, like color depth, quality or transparency will be identical to those last specified when saving manually.

Save to folder

Use this field to specify the location for auto-saved images.

Prompt for each file name

Check this option if you want to be asked for the file name of each image being auto-saved.

Use this file name

Check this option if you want auto-saved images to be saved fully automatically. The field right to the option allows to specify the fixed prefix of the file name.

Auto-add numeric suffix

Check this option if you want every auto-saved image to automatically get a numeric suffix appended to the fixed part of the file name. The numeric suffix will auto-increment, like in in Snapshot_001.bmp, Snapshot_002.bmp, ...

Start at

Use this field to specify the start value for the suffixes of auto-saved images.

Go up to

Use this field to specify the end value for the suffixes of auto-saved images. Note that the count of digits in the max value defines also the length of the numerical suffix.


Fixed sizes settings

Add new

Use this button to enter manually a new size to the list of fixed sizes. Note that there exists also an interactive method for specifying non-standard fixed sizes.

Delete

Use this button to delete the currently highlighted fixed size from the list.

Move up

Use this button to move the currently highlighted fixed size up. Note that last used fixed sizes are automatically put at the top of the list.

Move down

Use this button to move the currently highlighted fixed size down.

Default

Use this button to reset the set of fixed sizes to the standard list.


Appearance settings

Background color

Click the field to select a color used for the preview panel background.

Background style

Allows to select the style of the background of the preview panel. Note that hatched background improves the visibility of the contour of the snapped image.

Ruler color

Click this field to select a color used for the ruler tool background.


Sound settings

Sounds settings

Sound enabled

Check this option if you want to enable sounds in the program.

List of events

Use the list of events to activate the event for which you would like to configure the sound. Current version allows for customizing the following events:

  • Confirmations
  • Errors and warnings
  • Snapping done
  • Saving done
  • Image copied to the clipboard
  • Image pasted from the clipboard

Play built-in sound

Select this option if you want the program to use the built-in sound for the active event. Remember to click on the "Save" button to save this change.

Play this .wav file:

Select this option if you want the program to use the user wave file for the active event. Remember to click on the "Save" button to save this change.

This sound is active

Check this option if you want to enable the sound for the active event. Note that the "Sound enabled" setting can be used to disable sound for all events without changing this setting individually for every item. Remember to click on the "Save" button to save this change.

Test

Select this button to hear the currently selected sound effect. If you are satisfied, click on the "Save" button to save this state.

Save

Select this button to save the sound settings of the active event.


Hot keys

System-wide hotkeys implemented in MWSnap make it possible to start capturing or starting available tools immediately without prior activating the MWSnap window. MWSnap can be hidden below other windows, or can be minimized or iconized - it will listen for its hot key combinations.

A hot key is a combination of at least 2 keys: a base key (A..Z, F1..F12) plus any set of <Alt>, <Shift>, and <Ctrl> keys. Hot keys configuration dialog allows defining custom hot keys for all capturing modes. It allows also enabling all or only selected hotkeys.

Hot keys must be unique in the whole system. In case an application has been started that uses the same combination of the keys, MWSnap will report it and deactivate the conflicting hot key. The hot keys dialog will mark such conflicting hot keys in red.

MWSnap defines the hotkeys for all available capturing modes and all dynamic tools. The picture below shows the default hotkeys assignments:

Note!
For hotkeys to work MWSnap MUST be started. It doesn't have to stay open on the screen - it can be minimized or iconized (minimized to the system tray).